<?php

$path = $_SERVER['DOCUMENT_ROOT'];
$ESIA_WIDGET_NOTREE=true;
include_once $path.'common.php';

// Gestion du table sorter
$params = array('filters'=>$_REQUEST['filters'],
	'order'=> $_REQUEST['cols'],
	'size'=>50,
	'paging'=>0);
if (isset($_GET['page']) && ! empty($_GET['page']))
{
	$params['paging'] = $_GET['page'];
}
if (isset($_GET['size']) && ! empty($_GET['size']))
{
	if ($_GET['size'] == 'all')
	{
		$_GET['size'] = 100;
	}
	$params['size'] = $_GET['size'];
}
// gestion du sous onglet
$tab='';
if(isset($_GET['tab'])&& !empty($_GET['tab']))
{
	$tab=$_GET['tab'];
}


$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_INVENTORY');
$plugin_url = $arr[0]['apache_path'];
include_once $path.'/'.$plugin_url.'/model_ts_inventory.php';

//Gestion des langues du système / utilisateur pour les données traduite.
$lang_abre =LANG;
if($user->getLang()!="")
{
	//configuration de la langue de l'application
	$lang_abre = $user->getLang();
}

if(file_exists($path.'/'.$plugin_url.'/lang/' .$lang_abre.'.php'))
{
	include $path.'/'.$plugin_url.'/lang/' .$lang_abre.'.php';
}




$components = array();
	try
	{
		
		if($tab == "hardware")
		{
			$components = Model_Inventory_TableSort::ts_getListInventory($dbconnection,$user->getId(),'HARDWARE',$_GET['nodeid'],$params);
		}
		else
		{
			
			$components = Model_Inventory_TableSort::ts_getListInventory($dbconnection,$user->getId(),'SOFTWARE',$_GET['nodeid'],$params);
		}
	
	//echo'<pre>'; var_dump($nodeID);
	$arr = array();
		foreach($components['rows'] as $compo)
		{
			
			$state = $compo['state'];
			if($compo['state'] =='OK')
			{
				 $state ='<td class="EventOK alignCenterTab">'.$state.'</td>';
			}
			elseif($compo['state'] =='OUTDATED')
			{
				 $state ='<td class="EventCritical alignCenterTab">'.$state.'</td>';
			}
			else
			{
				 $state ='<td class="EventNone alignCenterTab">'.$state.'</td>';
			}
			$manufacturer = $compo['manufacturer'];
			if($manufacturer =='unknown')
			{
				$manufacturer='';
			}
			$line = array(
				$lang['INVENTORY_GROUP_NAME'] => $compo['group'],
				$lang['INVENTORY_NODE'] => $compo['device'],
				$lang['INVENTORY_DEVICE_TYPE'] => $compo['device_type'],
				$lang['INVENTORY_EDITOR'] => $manufacturer,
				$lang['INVENTORY_COMPONENT'] => $compo['component'],
				$lang['INVENTORY_VERSION'] => $compo['version'],
				$lang['INVENTORY_RULE_STATE'] => $state,
				$lang['INVENTORY_TYPE'] => $compo['type'],
				$lang['INVENTORY_DESCRIPTION'] => $compo['description'],
			);
			$arr[] = $line;
			
		}
		//Count
		$json_array['headers']=array_keys($arr[0]);
		$json_array['rows']=$arr;
		$json_array['total_rows']=$components['total'];
		echo json_encode($json_array);
		
	}
	catch (Exception $e)
	{
		echo $e->getMessage();
	}
?>