<?php
//Fichiers principaux
$path = $_SERVER['DOCUMENT_ROOT'];
$ESIA_WIDGET_NOTREE=TRUE;
include_once $path.'common.php';
$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_INVENTORY');
$apache_path = $arr[0]['apache_path'];
include_once $path.'/'.$apache_path.'inventory.conf.php';
include_once $path.'/'.$apache_path.'/'.MODEL_INVENTORY;

try
{
	//vérification des accès
	$user = new User($dbconnection);
	$user->sessionIDisValid();

	$smarty = new Smarty();
	$smarty->assign('apache_path', $apache_path);
	if(isset($user) )
	{
		if($user->getTheme()!="")
		{
			$th=1;
			$smarty->template_dir = $path.'/theme/'.$user->getTheme().'/template/';
			$smarty->compile_dir = $path.'/theme/'.$user->getTheme().'/templates_c/';
			$smarty->config_dir = $path.'/configs/';
			$smarty->cache_dir = $path.'/cache/';
			$smarty->assign('css', '/theme/'.$user->getTheme().'/design.css');
			include_once $path.'/theme/'.$user->getTheme().'/icons.php';
		}
	}

	if($th==0)
	{
			//configuration moteur template
			$theme = Model_esia::getApplicationTheme($dbconnection);
			$smarty->template_dir = $path.'/theme/'.$theme.'/template/';
			$smarty->compile_dir = $path.'/theme/'.$theme.'/templates_c/';
			$smarty->config_dir = $path.'/configs/';
			$smarty->cache_dir = $path.'/cache/';
			$smarty->assign('css', '/theme/'.$theme.'/design.css');
			include_once $path.'/theme/'.$theme.'/icons.php';
	}


  //mise en place des fichier de langue
  if($user->getLang()!="")
  {
    //configuration de la langue de l'application
    include $path.'/lang/'.$user->getLang().'/'.$user->getLang().'.php';
    include $path.'/lang/'.$user->getLang().'/common_plugin_name.php';
    include $path.'/lang/'.$user->getLang().'/message.php';
    include $path.'/'.$apache_path.'/lang/'.$user->getLang().'.php';
  }
  else
  {
    include $path.'/lang/'.LANG.'/'.LANG.'.php';
    include $path.'/lang/'.LANG.'/common_plugin_name.php';
    include $path.'/lang/'.LANG.'/message.php';
    include $path.'/'.$apache_path.'/lang/'.LANG.'.php';
  }

  if( $_REQUEST['action'] == 'treeview')
  {
    $groupid = NULL;
    if(isset($_REQUEST['groupid']))
    {
      $groupid = $_REQUEST['groupid'];
    }
    $treeview = Model_inventory::getInventoryTreeView($dbconnection, $user->getId(), $groupid);
    echo json_encode($treeview);
    exit(0);
  }
  else
  {
    $smarty->assign('lang', $lang);
    $smarty->assign('webpluginurl', $apache_path);
    $smarty->display($path . $apache_path.'templates/menu_inventory.html');
  }
}
catch(\EsiaDbException | \Exception $e)
{
	echo json_encode(array('error' => $e->getMessage()));
}
?>
