<?php


$path = $_SERVER['DOCUMENT_ROOT'];
$ESIA_WIDGET_NOTREE=true;
include_once $path.'common.php';
// Gestion du table sorter
$params = array('filters'=>$_REQUEST['filters'],
	'order'=> $_REQUEST['cols'],
	'size'=>50,
	'paging'=>0);
if (isset($_GET['page']) && ! empty($_GET['page']))
{
	$params['paging'] = $_GET['page'];
}
if (isset($_GET['size']) && ! empty($_GET['size']))
{
	if ($_GET['size'] == 'all')
	{
		$_GET['size'] = 100;
	}
	$params['size'] = $_GET['size'];
}
$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_INVENTORY');
$plugin_url = $arr[0]['apache_path'];
include_once $path.'/'.$plugin_url.'/model_ts_inventory.php';
//Gestion des langues du système / utilisateur pour les données traduite.
$lang_abre =LANG;
if($user->getLang()!="")
{
	//configuration de la langue de l'application
	$lang_abre = $user->getLang();
}

if(file_exists($path.'/'.$plugin_url.'/lang/' .$lang_abre.'.php'))
{
	include $path.'/'.$plugin_url.'/lang/' .$lang_abre.'.php';
}

if(!empty($_GET['action']))
{
    $action = $_GET['action'];
}

try
{
	$filterDevicesList = NULL;
	if(isset($_REQUEST['filterDevicesList']))
	{
		// Get group & sub groups children devices to filter all requests
		$filterDevicesList = json_decode($_REQUEST['filterDevicesList']);
	}

	if($action == 'hardware' || $action == 'software')
	{
	
		$components = array();
		if($action == 'software')
		{
		//	print_R($params);
			$components = Model_Inventory_TableSort::ts_getListInventory($dbconnection, $user->getId(), 'SOFTWARE', $filterDevicesList, $params);
		}
		else
		{
			$components = Model_Inventory_TableSort::ts_getListInventory($dbconnection, $user->getId(), 'HARDWARE', $filterDevicesList, $params);
		}
		//echo '<pre>'; print_r($components);
		$arr = array();
		foreach($components['rows'] as $compo)
		{
			$name="";
			if( $compo['page_control'] != '')
			{
				$name = '<a id="linkn'.$compo['device_id'].'" href="'.$compo['page_control'].'">'.$compo['device'].'</a>';
			}
			$group = $compo['group'];
			if(empty($group))
			{
				$group="";
			}
			else
			{
				$group='<a href="/node_index.php?nodegroup='.$compo['groupid'].'">'.$group.'</a>';
			}
			$state = $compo['state'];
			if($compo['state'] == 'OK')
			{
				$state ='<td class="EventOK alignCenterTab">' . $lang['INVENTORY_RULE_STATE_OK'] . '</td>';
			}
			elseif($compo['state'] == 'OUTDATED')
			{
				$state = '<td class="EventCritical alignCenterTab">' . $lang['INVENTORY_RULE_STATE_OUTDATED'] . '</td>';
			}
			else
			{
				$state = '<td class="EventNone alignCenterTab">' . $state . '</td>';
			}
			$manufacturer = $compo['manufacturer'];
			if($manufacturer =='unknown')
			{
				$manufacturer='';
			}
			$line = array(
				$lang['INVENTORY_GROUP_NAME'] => $group,
				$lang['INVENTORY_NODE'] => $name,
				$lang['INVENTORY_DEVICE_TYPE'] => $compo['device_type'],
				$lang['INVENTORY_EDITOR'] => $manufacturer,
				$lang['INVENTORY_COMPONENT'] => $compo['component'],
				$lang['INVENTORY_VERSION'] => $compo['version'],
				$lang['INVENTORY_STATE'] => $state,
				$lang['INVENTORY_TYPE'] => $compo['type'],
				$lang['INVENTORY_DESCRIPTION'] => $compo['description'],
			);
			$arr[] = $line;
			
		}
		//Count
		$json_array['headers']=array_keys($arr[0]);
		$json_array['rows']=$arr;
		$json_array['total_rows']=$components['total'];
		echo json_encode($json_array);
	}
	elseif($action == 'components')
	{
		// Get rule results informations
		$componentsList = Model_Inventory_TableSort::ts_getScannedRuleReport($dbconnection, $_GET['ruleId'], $params);

		$arr = array();
		foreach($componentsList['rows'] as $component)
		{
			$node = "";
			if(!empty($component['page_control']))
			{
				$nodeName = $component['device_name'];
				if(!empty($component['device_group_name']))
				{
					$nodeName = $component['device_group_name'] . '>' . $nodeName;
				}

				$node = '<a id="linkn' . $component['device_id'] . '" href="' . $component['page_control'] . '">' .
							$nodeName .
						'</a>';
			}
			
			if($component['manufacturer_name'] == 'unknown')
			{
				$component['manufacturer_name'] = '';
			}

			$compName = $component['component_name'];
			if(!empty($component['component_model']))
			{
				$compName = $compName . ' - ' . $component['component_model'];
			}

			$state = $component['built_rule_match_worst_status'];
			if($state == 'OK')
			{
				$state = '<td class="EventOK alignCenterTab">' . $lang['INVENTORY_RULE_STATE_OK'] . '</td>';
			}
			elseif($state == 'OUTDATED')
			{
				$state = '<td class="EventCritical alignCenterTab">' . $lang['INVENTORY_RULE_STATE_OUTDATED'] . '</td>';
			}
			else
			{
				$state = '<td class="EventNone alignCenterTab">' . $state . '</td>';
			}

			$arr[] = array(
				$lang['INVENTORY_NODE'] => $node,
				$lang['INVENTORY_MANUFACTURER'] => $component['manufacturer_name'],
				$lang['INVENTORY_COMPONENT'] => $compName,
				$lang['INVENTORY_COMPONENT_DESCRIPTION'] => $component['component_description'],
				$lang['INVENTORY_TYPE'] => $component['type_type'],
				$lang['INVENTORY_SUBTYPE'] => $component['type_name'],
				$lang['INVENTORY_BUILT_DESCRIPTION'] => $component['built_description'],
				$lang['INVENTORY_VERSION'] => $component['built_version'],
				$lang['STATUS'] => $state,
			);
		}

		$json_array['headers'] = array_keys($arr[0]);
		$json_array['rows'] = $arr;
		$json_array['total_rows'] = $componentsList['total'];

		echo json_encode($json_array);
	}
}
catch (Exception $e)
{
	echo $e->getMessage();
}
?>
